<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * OKMindmap authentication
 *
 * @package    auth_okmmauth
 * @copyright  Nguyen Van Hoang <nvhoangag@gmail.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once(__DIR__.'/../../config.php');
require_once(__DIR__.'/auth.php');

$auth = new auth_plugin_okmmauth();

if(!function_exists('mcrypt_encrypt')) {
    die('Mcrypt is not installed.');
} else if(isset($_REQUEST['wants'])) {
    $auth->okmm_login();
} else if(isset($_REQUEST['auth'])){
    $auth->callback_handler($_REQUEST['auth']);
} else {
    include_once(__DIR__.'/__login_form.php');
}